## org.apache.poi.hssf.usermodel
Class HSSFCreationHelper

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFCreationHelper

All Implemented Interfaces:
  CreationHelper

    public class HSSFCreationHelper

extends java.lang.Object
implements CreationHelper

Method Summary
`HSSFClientAnchor` `createClientAnchor()` Creates a HSSFClientAnchor.
`HSSFDataFormat` `createDataFormat()` Creates a new DataFormat instance
`HSSFFormulaEvaluator` `createFormulaEvaluator()` Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.
`HSSFHyperlink` `createHyperlink(int type)` Creates a new Hyperlink, of the given type
`HSSFRichTextString` `createRichTextString(java.lang.String text)` Creates a new RichTextString instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRichTextString

    public HSSFRichTextString createRichTextString(java.lang.String text)

  Description copied from interface: `CreationHelper`
  Creates a new RichTextString instance

  Specified by:
    `createRichTextString` in interface `CreationHelper`
  Parameters:
    `text` - The text to initialise the RichTextString with

### createDataFormat

    public HSSFDataFormat createDataFormat()

  Description copied from interface: `CreationHelper`
  Creates a new DataFormat instance

  Specified by:
    `createDataFormat` in interface `CreationHelper`

### createHyperlink

    public HSSFHyperlink createHyperlink(int type)

  Description copied from interface: `CreationHelper`
  Creates a new Hyperlink, of the given type

  Specified by:
    `createHyperlink` in interface `CreationHelper`

### createFormulaEvaluator

    public HSSFFormulaEvaluator createFormulaEvaluator()

  Creates a HSSFFormulaEvaluator, the object that evaluates formula cells.

  Specified by:
    `createFormulaEvaluator` in interface `CreationHelper`
  Returns:
    a HSSFFormulaEvaluator instance

### createClientAnchor

    public HSSFClientAnchor createClientAnchor()

  Creates a HSSFClientAnchor. Use this object to position drawing object in a sheet

  Specified by:
    `createClientAnchor` in interface `CreationHelper`
  Returns:
    a HSSFClientAnchor instance
  See Also:
    `Drawing`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.